﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace WebMetar_NS
{
    /// <summary>
    /// Web METAR fetch and display program.
    /// * Define URL's to pull station data from (raw or text)
    /// * Define METAR table column order, units and formatting.
    /// * Master and User station list editor
    /// * Timer fetches data and updates table with any changes.
    /// 
    /// Credits:
    ///   METAR decoder based off of work by rantanplanisback http://www.codeproject.com/KB/cs/weathernotify.aspx
    ///   
    /// Author: Dennis Lang  2009       
    /// http://home.comcast.net/~lang.dennis/
    /// </summary>
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }
    }
}
