﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WebMetar_NS
{
    /// <summary>
    /// Web METAR fetch and display program.
    /// * Define URL's to pull station data from (raw or text)
    /// * Define METAR table column order, units and formatting.
    /// * Master and User station list editor
    /// * Timer fetches data and updates table with any changes.
    /// 
    /// Credits:
    ///   METAR decoder based off of work by rantanplanisback http://www.codeproject.com/KB/cs/weathernotify.aspx
    ///   
    /// Author: Dennis Lang  2009       
    /// http://home.comcast.net/~lang.dennis/
    /// </summary>
    public partial class About : Form
    {
        public About()
        {
            InitializeComponent();
            this.Text = MainForm.ProductNameAndVersion();
        }

        private void link_Clicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            LinkLabel linkLabel = sender as LinkLabel;
            System.Diagnostics.Process.Start(link.Text);
        }

        private void closeBtn_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
